@font-face {
    font-family: customFont;
    src: url(SomarSans-RegularExpanded.ttf);
}

body {
    background-color: #000;
    color: white;
    margin: 0px;
    font-family: customFont;
    cursor: none;
    overflow-x: hidden;
}

::-webkit-scrollbar {
    width: 10px;
}

::-webkit-scrollbar-thumb {
    background-color: #f8bf04;
    border-radius: 20px;
}

#cursor {
    width: 30px;
    height: 30px;
    border: 5px solid #f8bf04;
    border-radius: 50%;
    position: absolute;
    transition-duration: 0.1s;
    transition-timing-function: ease-out;
    pointer-events: none;
    z-index: 100000;
    box-shadow: 0 0 5px #f8bf04,
        0 0 10px #f8bf04,
        0 0 15px #f8bf04,
        0 0 20px #f8bf04;
}

.fade-in {
    opacity: 1;
    transition: opacity 3s ease-out;
}

.hidden {
    opacity: 0;
}

/* #profile:active * {
    animation: none !important;
} */

#profile {
    display: grid;
    grid-template-columns: 1fr 3fr;
    align-items: center;
    margin-left: 3%;
}

nav {
    z-index: 4;
    background-color: rgba(0, 0, 0, 0.87);
    position: fixed;
    top: 3%;
    height: fit-content;
    width: fit-content;
    color: white;
    -webkit-clip-path: circle(24px at 30px 24px);
    clip-path: circle(24px at 32px 24px);
    -webkit-transition: -webkit-clip-path 0.5625s, clip-path 0.375s;
    transition: -webkit-clip-path 0.5625s, clip-path 0.375s;
}

nav:hover {
    -webkit-transition-timing-function: ease-out;
    transition-timing-function: ease-out;
    -webkit-transition-duration: 0.75s;
    transition-duration: 0.75s;
    -webkit-clip-path: circle(390px at 225px 24px);
    clip-path: circle(390px at 150px 24px);
}

nav a {
    color: white;
    display: block;
    line-height: 30px;
    padding: 0 20px;
    color: inherit;
    cursor: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    text-decoration: none;
}

nav a:hover {
    cursor: none;
    opacity: 0.5;
    background: #f8bf04;
    color: black;
}

nav a:active {
    background: #f8bf04;
}


.navicon {
    padding: 23px;
    /* cursor: pointer; */
    -webkit-transform-origin: 32px 24px;
    -ms-transform-origin: 32px 24px;
    transform-origin: 32px 24px;
}

.navicon div {
    position: relative;
    width: 20px;
    height: 2px;
    background: white;
}

.navicon div:before,
.navicon div:after {
    display: block;
    content: "";
    width: 20px;
    height: 2px;
    background: white;
    position: absolute;
}

.navicon div:before {
    top: -7px;
}

.navicon div:after {
    top: 7px;
}

#profile .title {
    margin-top: 10%;
    padding-left: 1em;
    grid-column: 1 / -1;
    grid-row: 1;
    height: 50%;
    z-index: 1;
    animation: outer-left 1s 1s ease both;
}

@keyframes text-clip {
    from {
        clip-path: polygon(0% 100%, 100% 100%, 100% 100%, 0% 100%);
    }

    to {
        clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
    }
}

@keyframes outer-left {
    from {
        transform: translateX(50%);
    }

    to {
        transform: none;
    }
}

@keyframes inner-left {
    from {
        transform: translateX(-50%);
    }

    to {
        transform: none;
    }
}

.main,
.mozart {
    animation: outer-left 1s 1s cubic-bezier(0.5, 0, 0.1, 1) both;
}

.title-inner {
    display: inline-block;
    animation: inner-left 1s 1s ease both;
}

.main-inner {
    font-weight: bolder;
    font-size: 8vw;
    display: inline-block;
    animation: inner-left 1s 1s ease both,
        text-clip 1s 0s cubic-bezier(0.5, 0, 0.1, 1) both;
}

.main-inner::after {
    opacity: 0.5;
    transition: all 0.1s ease-in-out;
    content: "";
    position: absolute;
    bottom: 13.5%;
    z-index: -1;
    height: 0.3em;
    width: 100%;
    left: 2%;
    background: linear-gradient(65deg, #f8bf04 0%, #f8bf04 100%);
}

.mozart-inner {
    font-size: 3vw;
    animation: text-clip 1s 0s cubic-bezier(0.5, 0, 0.1, 1) both;
}

.mozart {
    display: inline-block;
}

.image {
    grid-row: 1;
    grid-column: 2;
    margin-left: -2rem;
    opacity: 0.7;
    animation: image-in 1s cubic-bezier(0.5, 0, 0.1, 1) 2s backwards;

    @keyframes image-in {
        from {
            clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
        }

        to {
            clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
        }
    }

   
   
   
}

.neon-button {
    text-align: center;
    width: fit-content;
    margin-top: 5%;
    display: inline-block;
    padding: 15px;
    font-size: 1vw;
    color: black;
    text-transform: uppercase;
    text-decoration: none;
    background: linear-gradient(45deg, #eee456, #f8bf04, #000000, white);
    background-size: 400% 400%;
    border-radius: 30px;
    box-shadow: 0 0 10px rgba(255, 255, 255, 0.8);
    animation: neonGlow 5s linear infinite;
}

@keyframes neonGlow {
    0% {
        background-position: 0% 50%;
    }

    50% {
        background-position: 100% 50%;
    }

    100% {
        background-position: 0% 50%;
    }
}

.aboutme {
    margin: 5%;
    margin-top: 10%;
    margin-bottom: 10%;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: 1fr;
    align-content: center;
    text-align: center;
}

.description h1 {
    font-size: 5rem;
    border: 1px solid;
    position: relative;
}

.description h1::after {
    opacity: 0.7;
    transition: all 0.1s ease-in-out;
    content: "";
    position: absolute;
    bottom: 13.5%;
    z-index: -1;
    height: 0.3em;
    width: 50%;
    left: 25%;
    background: linear-gradient(45deg, #eee456, #f8bf04, #000000, white);
}

.description p {
    font-size: 1.5rem
}

.myface {
    align-items: center;
    margin-top: 8%;
    margin-left: 10%;
}

.myface img {
    margin: 10px;
    width: 80%;
    height: auto;
    border-radius: 2rem;
    align-self: center;
    box-shadow:
        0 0 2rem #f8bf04,
        0 0 0.8rem #f8bf04,
        inset 0 0 1.3rem #f8bf04;
}

.myface img:hover {
    transition: 2s;
    transform: scale(1.1);
}

#expertise h1 {
    margin-top: 15%;
    margin-bottom: 3%;
    position: relative;
    width: 50%;
    padding-left: 5%;
    padding-right: 5%;
    font-size: 6rem;
    border: 1px solid;
}

#expertise h1::after {
    opacity: 0.7;
    transition: all 0.1s ease-in-out;
    content: "";
    position: absolute;
    bottom: 15%;
    z-index: -1;
    height: 0.3em;
    width: 33.5%;
    left: 34%;
    background: linear-gradient(45deg, #eee456, #f8bf04, #000000, white);
}

.cardss {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: 1fr;
    align-items: center;
    transition: 1s;
    margin-left: 8%;
    margin-right: 8%;
}

.cardss>div {
    align-items: center;
    margin-left: 5%;
    margin-right: 5%;
    margin-bottom: 5%;
    border-radius: 2rem;
    padding: 5%;
    box-shadow:
        0 0 1rem #f8bf04,
        0 0 0.8rem #f8bf04,
        inset 0 0 1.3rem #f8bf04;
    height: 90%;
    overflow: hidden;
}

.cardss>div:hover {
    background-color: #f8bf04;
    color: black;
    transition: 10ms;
    transform: scale(1.1);
    text-align: center;
    transition: 1s;
}

.cardss h5 {
    text-align: center;
    font-size: 1.3rem;
}

.cardss .title {
    font-size: 1.5rem;
    text-align: center;
    margin-left: 10px;
}

.mywork {
    margin: 5%;
    margin-top: 10%;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: 1fr;
    align-items: center;
    text-align: center;
}

.projects {
    margin-left: 5%;
    height: auto;
    width: fit-content;
    align-items: center;
    
}


.projects .btn {
    margin: 10%;
    padding: 30px;
    display: inline-block;
    box-shadow: 0 0 50px #f8bf04;

}
.work{
    border-radius: 50%;
}

.mywork .description {
    margin-left: 3%;
    margin-right: 3%;
    position: relative;
}

.mywork .description h1::after {
    opacity: 0.7;
    transition: all 0.1s ease-in-out;
    content: "";
    position: absolute;
    bottom: 13.5%;
    z-index: -1;
    height: 0.3em;
    width: 49.5%;
    left: 26%;
    background: linear-gradient(45deg, #eee456, #f8bf04, #000000, white);
}

.allProjects {
    margin-left: 8%;
    margin-right: 8%;
}

.projectsDetails {
    height: fit-content;
    width: fit-content;
    align-items: center;
    text-align: center;
    overflow: hidden;
    border-radius: 10px;
    
}

.allProjects .first-row-projects {
    height: fit-content;
    width: fit-content;
    padding: 1%;
    margin-left: 5%;
    margin-right: 5%;
    display: grid;
    grid-template-columns: 3fr 1fr;
    gap: 2%;
}

.allProjects .second-row-projects {
    height: fit-content;
    width: fit-content;
    padding: 1%;
    margin-left: 5%;
    margin-right: 5%;
    display: grid;
    grid-template-columns: repeat(3, 3fr);
    gap: 2%;
}

.allProjects .third-row-projects {
    height: fit-content;
    width: fit-content;
    padding: 1%;
    margin-left: 5%;
    margin-right: 5%;
    margin-bottom: 15%;
    display: grid;
    grid-template-columns: 1fr 3fr;
    gap: 2%;
}

.projectsDetails .img {
    height: fit-content;
    width: 100%;
    align-items: center;
    border: 1px solid #f8bf04;

    
}

.projectsDetails .img:hover {
    transform: scale(1.1);
    transition: 1s ease-in-out;
    border: 1px solid #f8bf04;

}

.projectsDetails .text-description {
    padding: 3%;
    border: 1px solid #f8bf04;

}

.eContract {
    border: 1px solid #f8bf04;
}

.eContract:hover {
    transition: 2s;
    box-shadow:
        0 0 0.9rem #f8bf04,
        0 0 3rem #f8bf04;
}

.music {
    border: 1px solid #f8bf04;
}

.music:hover {
    transition: 2s;
    box-shadow:
        0 0 0.9rem #f8bf04,
        0 0 3rem #f8bf04;
}

.toters {
    border: 1px solid #f8bf04;
}

.toters:hover {
    transition: 2s;
    box-shadow:
        0 0 0.9rem #f8bf04,
        0 0 3rem #f8bf04;
}

.talabaty {
    border: 1px solid #f8bf04;
}

.talabaty:hover {
    transition: 2s;
    box-shadow:
        0 0 0.9rem #f8bf04,
        0 0 3rem #f8bf04;
}

.LuckyShrub,
.SCTweb,
.signin {
    border: 1px solid;
}

.LuckyShrub:hover,
.SCTweb:hover,
.signin:hover {
    transition: 2s;
    box-shadow:
        0 0 0.9rem #f8bf04,
        0 0 3rem #f8bf04;
}

.certification h1 {
    margin-top: 15%;
    margin-bottom: 3%;
    position: relative;
    width: 50%;
    padding-left: 5%;
    padding-right: 5%;
    font-size: 6rem;
    border: 1px solid;
}

.certification h1::after {
    opacity: 0.7;
    transition: all 0.1s ease-in-out;
    content: "";
    position: absolute;
    bottom: 15%;
    z-index: -1;
    height: 0.3em;
    width: 53%;
    left: 24%;
    background: linear-gradient(45deg, #eee456, #f8bf04, #000000, white);
}

.slideshow-container {
    width: 50%;
    position: relative;
    margin: 5%;
    margin-bottom: 10%;
}

.mySlides {
    display: none;
}

.prev,
.next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    width: auto;
    margin-top: -22px;
    padding: 16px;
    color: white;
    font-weight: bold;
    font-size: 18px;
    transition: 0.6s ease;
    border-radius: 0 3px 3px 0;
    user-select: none;
}

.next {
    right: -25%;
    border-radius: 3px;
}

.prev {
    left: -25%;
    border-radius: 3px;
}

.prev:hover,
.next:hover {
    background-color: white;
    color: #000;
}

.fade {
    animation-name: fade;
    animation-duration: 1.5s;
}

@keyframes fade {
    from {
        opacity: .4
    }

    to {
        opacity: 1
    }
}

.container1 {
    border-top: 1px solid #f8bf04;
    align-items: center;
    text-align: center;
    box-shadow: inset 0 0 1.3rem #f8bf04;
    color: white;
    font-size: 20px;
    letter-spacing: 1px;
    text-shadow:
        0 0 5px #f8bf04,
        0 0 10px #f8bf04,
        0 0 15px #f8bf04,
        0 0 20px #f8bf04,
        0 0 30px #f8bf04,
        0 0 40px #f8bf04;
    height: 240px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 20px;
    font-size: 1.5rem;
    width: 100%;
}

.item {
    grid-template-columns: 1fr;
    padding: 20px;
    color: white;
    height: auto;
    transition: 0.2s ease-in-out;
}

.container1 .item:hover {
    background-color: #f8bf04;
    height: 85%;
}

.container1 a {
    color: black;
    text-decoration: none;
    margin-bottom: 20px;
}

.item>*:not(h3) {
    display: none;
}

.item:hover>* {
    display: block;
    color: black;
}

@media screen and (max-width:450px) {
    #cursor {
        display: none;
    }
}

@media screen and (max-width:1000px) {
    nav {
        padding: 0px;
        top: 1%;
    }

    #profile {
        margin: 5%;
        width: fit-content;

    }

    .aboutme,
    .cardss,
    .mywork,
    .container1 {
        grid-template-columns: auto;
    }

    .description h1 {
        font-size: 2rem;
        margin-block-start: 0em;
        margin-block-end: 0em;
        width: 50%;
    }

    #expertise h1,
    .certification h1 {
        font-size: 3rem;
        width: fit-content;
    }

    .description p {
        font-size: 1rem;
    }

    .myface img {
        max-width: 80%;
    }

    .title {
        font-size: 1rem;

    }
    .neon-button{
        font-size: 1rem;
    }

    div p {
        display: flex;
        flex-wrap: wrap;
        overflow: hidden;
    }


    .allProjects .first-row-projects,
    .allProjects .second-row-projects,
    .allProjects .third-row-projects {
        grid-template-columns: auto;
        margin-bottom: 10%;
    }

    .container1,
    .item {
        height: fit-content;
        font-size: 1rem;
    }
   
}